## msxpertsuite 5.8.2

=== debian/changelog ===
msxpertsuite (5.8.2-1) unstable; urgency=low

  * New version with the daps dependency for the user manuals build.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 06 Feb 2019 19:04:58 +0100

msxpertsuite (5.8.1-1) UNRELEASED; urgency=low

  * New upstream release with new configuration mode for the IsoSpec isotopic
    cluster calculations.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 Feb 2019 21:33:53 +0100

msxpertsuite (5.8.0-1) UNRELEASED; urgency=low

  * New upstream version with implementation of a GUI for the IsoSpec library.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 29 Jan 2019 10:12:55 +0100
