## msxpertsuite 5.8.3

=== debian/changelog ===
msxpertsuite (5.8.3-1) unstable; urgency=low

  * Make sure CMake is called during dpkg-buildpackage -A (Closes: #921727).
    Thanks to Santiago Vila <sanvila@debian.org> for the report.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 08 Feb 2019 17:02:20 +0100
