=== debian/control ===
Source: msxpertsuite
Section: science
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>=9.20130630),
               dpkg-dev (>= 1.16.1~),
               graphicsmagick-imagemagick-compat,
               libgomp1,
               qtbase5-dev (>= 5.7.0),
               libqt5svg5-dev (>= 5.7.0),
               qtscript5-dev (>= 5.7.0),
               cmake (>= 3.2.2-2),
               daps (>= 3.0.0),
               libjeuclid-core-java,
               libjeuclid-fop-java,
               docbook-mathml,
               libjs-jquery,
               libjs-highlight.js,
               libjs-mathjax,
               fonts-mathjax,
               fonts-mathjax-extras,
               texlive-fonts-extra,
               fonts-ebgaramond-extra,
               libqcustomplot-dev(>= 2.0),
               libpwiz-dev(>=3.0.10827),
               libboost-dev (>= 1.56.0),
               libisospec++-dev (>=1.9.1),
               docbook-to-man,
               libtclap-dev,
               doxygen,
               graphviz,
               qttools5-dev-tools,
               qtchooser
Standards-Version: 4.3.0
Homepage: https://www.msxpertsuite.org/
Vcs-Browser: https://salsa.debian.org/debichem-team/msxpertsuite
Vcs-Git: https://salsa.debian.org/debichem-team/msxpertsuite.git

Package: msxpertsuite
Architecture: any
Depends: ${misc:Depends},
         msxpertsuite-massxpert (>= ${source:Upstream-Version}),
         msxpertsuite-massxpert (<< ${source:Upstream-Version}A~),
         msxpertsuite-minexpert (>= ${source:Upstream-Version}),
         msxpertsuite-minexpert (<< ${source:Upstream-Version}A~)
Suggests: msxpertsuite-doc
Description: mass spectrometry software suite - metapackage
 msXpertSuite provides programs to model linear (bio-) polymer 
 chemistries, simulate mass spectral data, analyse and data-mine mass. 
 It is the successor of GNU polyXmass, first, and then of massXpert.
 .
 The massXpert and mineXpert programs allow the following:
 .
 massXpert:
  - making brand new polymer chemistry definitions;
  - using the definitions to perform easy calculations in a desktop
    calculator-like manner;
  - performing sophisticated polymer sequence editing and simulations;
  - perform m/z list comparisons;
 .
  Chemical simulations encompass cleavage (either chemical or
  enzymatic), gas-phase fragmentations, chemical modification of any
  monomer in the polymer sequence, cross-linking of monomers in the
  sequence, arbitrary mass searches, calculation of the isotopic
  pattern...
 .
 mineXpert:
  - Open mass spectrometry data files (mzML, mzXML, asc, xy, ...);
  - Calculate and display the TIC chromatogram;
  - For mobility data, calculate and display a mz=f(dt) color map;
  - Integrate the data from the TIC chromatogram or color map
    - to mass spectrum;
    - to drift spectrum;
    - back to TIC chromatogram (XIC chromatogram);
    - reverse operations;
    - to single TIC intensity value 
      (for mass spectral intensity comparisons);
  - Model centroids peaks into mass spectra using either the 
    Gaussian model or the Lorentzian model;
  - Export the data to text files;
  - Slice a big initial file into smaller chunks for easier mining;
  - Define how mining activity is recorded on disk for later use;
  - Convert mzML files into a private (albeit open) mass spectrometry
    format that allows better performance (based on SQLite3).
 .
 This package depends on both massXpert and mineXpert packages and thus will
 install both of them. To install only one of the packages, install the
 corresponding msxpertsuite-massxpert or msxpertsuite-minexpert package.


Package: msxpertsuite-massxpert
Architecture: any
Depends: ${shlibs:Depends},
				 ${misc:Depends},
         msxpertsuite-massxpert-data-doc (>= ${source:Upstream-Version}),
         msxpertsuite-massxpert-data-doc (<< ${source:Upstream-Version}A~)
Replaces: massxpert (<< 5.7.0), massxpert-doc (<< 5.7.0), msxpertsuite-data (<< 5.7.0), msxpertsuite-doc (<< 5.7.0), msxpertsuite(<< 5.7.0)
Breaks: massxpert (<< 5.7.0), massxpert-doc (<< 5.7.0), msxpertsuite-data (<< 5.7.0), msxpertsuite-doc (<< 5.7.0), msxpertsuite(<< 5.7.0)
Conflicts: massxpert-data (<< 5.7.0), massxpert (<< 5.7.0), msxpertsuite-data (<< 5.7.0), msxpertsuite-doc (<< 5.7.0), msxpertsuite(<< 5.7.0)
Description: mass spectrometry software suite - massXpert
 msXpertSuite provides programs to model linear (bio-) polymer 
 chemistries, simulate mass spectral data, analyse and data-mine mass. 
 It is the successor of GNU polyXmass, first, and then of massXpert.
 .
 This package ships the massXpert program.


Package: msxpertsuite-massxpert-data-doc
Architecture: all
Depends: libjs-jquery,
         libjs-highlight.js,
         ${misc:Depends}
Replaces: massxpert-data (<< 5.7.0), massxpert-doc (<< 5.7.0), msxpertsuite-data (<< 5.7.0), msxpertsuite-doc (<< 5.7.0), msxpertsuite(<< 5.7.0)
Breaks: massxpert-data (<< 5.7.0), massxpert-doc (<< 5.7.0), msxpertsuite-data (<< 5.7.0), msxpertsuite-doc (<< 5.7.0), msxpertsuite(<< 5.7.0)
Conflicts: massxpert-data (<< 5.7.0), massxpert-doc (<< 5.7.0), msxpertsuite-data (<< 5.7.0), msxpertsuite-doc (<< 5.7.0), msxpertsuite(<< 5.7.0)
Description: mass spectrometry software suite - massXpert - data and doc
 msXpertSuite provides programs to model linear (bio-) polymer 
 chemistries, simulate mass spectral data, analyse and data-mine mass. 
 It is the successor of GNU polyXmass, first, and then of massXpert.
 .
 This package ships the data used by massXpert and its documentation.


Package: msxpertsuite-minexpert
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         msxpertsuite-minexpert-data-doc (>= ${source:Upstream-Version}),
         msxpertsuite-minexpert-data-doc (<< ${source:Upstream-Version}A~)
Replaces: msxpertsuite-doc (<< 5.7.0), msxpertsuite (<< 5.7.0)
Breaks: msxpertsuite-doc (<< 5.7.0), msxpertsuite (<< 5.7.0)
Conflicts: msxpertsuite-doc (<< 5.7.0), msxpertsuite (<< 5.7.0)
Description: mass spectrometry software suite - mineXpert
 msXpertSuite provides programs to model linear (bio-) polymer 
 chemistries, simulate mass spectral data, analyse and data-mine mass. 
 It is the successor of GNU polyXmass, first, and then of massXpert.
 .
 This package ships the mineXpert program.


Package: msxpertsuite-minexpert-data-doc
Architecture: all
Depends: libjs-jquery,
         libjs-highlight.js,
         ${misc:Depends}
Replaces: msxpertsuite-doc (<< 5.7.0), msxpertsuite (<< 5.7.0)
Breaks: msxpertsuite-doc (<< 5.7.0), msxpertsuite (<< 5.7.0)
Conflicts: msxpertsuite-doc (<< 5.7.0), msxpertsuite (<< 5.7.0)
Description: mass spectrometry software suite - mineXpert - data and doc
 msXpertSuite provides programs to model linear (bio-) polymer 
 chemistries, simulate mass spectral data, analyse and data-mine mass. 
 It is the successor of GNU polyXmass, first, and then of massXpert.
 .
 This package ships the data used by mineXpert and its documentation.
