=== debian/rules ===
--- 
+++ 
@@ -76,6 +76,15 @@
 
 	rm -rf $(INSTALL_INDEP_DIR)
 	mkdir -p $(BUILD_DIR)
+
+# The following is for building of the doc files (man pages, not the user
+# manuals)
+	cd $(BUILD_DIR) && \
+	$(CMAKE) \
+	-DOPENMP=1 \
+	-DDEBUG=1 \
+	-DBUILD_USER_MANUALS=0 \
+	-DCMAKE_INSTALL_PREFIX=/usr ../..
 
 # Ensure that the fop.xconf file is found in the DC* files
 # that are located in $(CURDIR)/doc/user-manuals
