## msxpertsuite 5.8.4

=== debian/changelog ===
msxpertsuite (5.8.4-1) unstable; urgency=low

  * Make the user manuals and install them under the control of CMake.

  * Convert d/rules to the debhelper mini format.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 Feb 2019 13:46:36 +0100
