=== debian/rules ===
#!/usr/bin/make -f
# Based on the initial work of Joey Hess and Craig Small.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Set path to this directory so that our tweaked fop script is used.
PATH := $(CURDIR)/doc/user-manuals/scripts:$(PATH)
$(info PATH: $(PATH))


#!/usr/bin/make -f
%:
	dh $@

# Required to stop it from calling my convenience Makefile that is only used for
# my day-to-day work.
override_dh_auto_clean:

override_dh_clean:
	dh_clean
	rm -rf debian/build
	rm -rf debian/tmp

override_dh_auto_configure:
	mkdir -p debian/build
	mkdir -p debian/tmp
	cd debian/build && cmake -DOPENMP=1 -DDEBUG=1 -DDEVMODE=0 -DBUILD_USER_MANUALS=1 -DTESTS=0 -DCMAKE_INSTALL_PREFIX=/usr ../..

override_dh_auto_build:
	cd debian/build && make

override_dh_auto_install:
	cd debian/build && DESTDIR=../tmp make install
	dh_install
