## msxpertsuite 5.8.5

=== debian/changelog ===
msxpertsuite (5.8.5-1) unstable; urgency=low

  * appdata fixes to the gpl version number (lintian warning).

  * d/rules: fix problem with the path to the .fop.xconf file not being found.
    This is a missing fix with respect to the other d/rules files that was
    working.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 12 Feb 2019 08:59:24 +0100
