=== debian/control ===
--- 
+++ 
@@ -95,9 +95,6 @@
 				 ${misc:Depends},
          msxpertsuite-massxpert-data-doc (>= ${source:Upstream-Version}),
          msxpertsuite-massxpert-data-doc (<< ${source:Upstream-Version}A~)
-Replaces: massxpert (<< 5.7.0), massxpert-doc (<< 5.7.0), msxpertsuite-data (<< 5.7.0), msxpertsuite-doc (<< 5.7.0), msxpertsuite(<< 5.7.0)
-Breaks: massxpert (<< 5.7.0), massxpert-doc (<< 5.7.0), msxpertsuite-data (<< 5.7.0), msxpertsuite-doc (<< 5.7.0), msxpertsuite(<< 5.7.0)
-Conflicts: massxpert-data (<< 5.7.0), massxpert (<< 5.7.0), msxpertsuite-data (<< 5.7.0), msxpertsuite-doc (<< 5.7.0), msxpertsuite(<< 5.7.0)
 Description: mass spectrometry software suite - massXpert
  msXpertSuite provides programs to model linear (bio-) polymer 
  chemistries, simulate mass spectral data, analyse and data-mine mass. 
@@ -111,9 +108,6 @@
 Depends: libjs-jquery,
          libjs-highlight.js,
          ${misc:Depends}
-Replaces: massxpert-data (<< 5.7.0), massxpert-doc (<< 5.7.0), msxpertsuite-data (<< 5.7.0), msxpertsuite-doc (<< 5.7.0), msxpertsuite(<< 5.7.0)
-Breaks: massxpert-data (<< 5.7.0), massxpert-doc (<< 5.7.0), msxpertsuite-data (<< 5.7.0), msxpertsuite-doc (<< 5.7.0), msxpertsuite(<< 5.7.0)
-Conflicts: massxpert-data (<< 5.7.0), massxpert-doc (<< 5.7.0), msxpertsuite-data (<< 5.7.0), msxpertsuite-doc (<< 5.7.0), msxpertsuite(<< 5.7.0)
 Description: mass spectrometry software suite - massXpert - data and doc
  msXpertSuite provides programs to model linear (bio-) polymer 
  chemistries, simulate mass spectral data, analyse and data-mine mass. 
@@ -128,9 +122,6 @@
          ${misc:Depends},
          msxpertsuite-minexpert-data-doc (>= ${source:Upstream-Version}),
          msxpertsuite-minexpert-data-doc (<< ${source:Upstream-Version}A~)
-Replaces: msxpertsuite-doc (<< 5.7.0), msxpertsuite (<< 5.7.0)
-Breaks: msxpertsuite-doc (<< 5.7.0), msxpertsuite (<< 5.7.0)
-Conflicts: msxpertsuite-doc (<< 5.7.0), msxpertsuite (<< 5.7.0)
 Description: mass spectrometry software suite - mineXpert
  msXpertSuite provides programs to model linear (bio-) polymer 
  chemistries, simulate mass spectral data, analyse and data-mine mass. 
@@ -144,9 +135,6 @@
 Depends: libjs-jquery,
          libjs-highlight.js,
          ${misc:Depends}
-Replaces: msxpertsuite-doc (<< 5.7.0), msxpertsuite (<< 5.7.0)
-Breaks: msxpertsuite-doc (<< 5.7.0), msxpertsuite (<< 5.7.0)
-Conflicts: msxpertsuite-doc (<< 5.7.0), msxpertsuite (<< 5.7.0)
 Description: mass spectrometry software suite - mineXpert - data and doc
  msXpertSuite provides programs to model linear (bio-) polymer 
  chemistries, simulate mass spectral data, analyse and data-mine mass.
